# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXMarkTime, DXMarkTimeLocal

Function

Record time marks.

Syntax
`
#include <dx/dx.h>
`

void DXMarkTime(char *string)
void DXMarkTimeLocal(char *string)

Functional Details

`DXMarkTime` records a "global" time mark relevant to the system as a whole.

`DXMarkTimeLocal` records a "local" event relevant to one processor (e.g., during a parallel section). This routine is called by the executive at the beginning and end of each module, at the beginning and end of each task or parallel section, and by some system modules.

Both routines store the current time (from `DXGetTime`) and a copy of `string` in a processor local list. The copied version of `string` will be truncated if longer than 16 characters. The number of time marks stored since the last call to `DXPrintTimes` is limited to 2000 events.

Return Value

None.

See Also

`DXGetTime, DXPrintTimes, DXTraceTime`

13.2 , "Timing".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]